<div class="col-g-12">
  <div class="ui-g-12" style="margin-bottom: 10 px"></div>
  <div class="ui-g-12" style="background-color: white; border: 1px solid black">
    <div class="ui-g-12">
      <h1>Target vs PO vs Rofo</h1>
      <div class="ui-g-12">
        <h1>Periode</h1>
        <div class="ui-g-1">
          <p-dropdown
            [options]="tahun"
            [(ngModel)]="pilihTahun"
            id="field_Tahun"
          >
          </p-dropdown>
        </div>
        <div class="ui-g-12">
          <button
            pButton
            type="submit"
            label="Filter"
            icon="fa-filter"
            class="ui-button-primary flat-label-button"
            (click)="filter()"
          ></button>
        </div>
        <div class="ui-g-12" *jhiHasAnyMenu="['DASHBOARD_DATA']">
          <!-- <button
            pButton
            type="submit"
            label="Download Data Tabulasi By Value"
            icon="fa-download"
            class="ui-button-primary flat-label-button"
            (click)="download()"
          ></button> -->
          <button
            pButton
            type="submit"
            label="Download Data Tabulasi by By Unit"
            icon="fa-download"
            class="ui-button-primary flat-label-button"
            (click)="download1()"
          ></button>
        </div>
      </div>
    </div>
    <div class="ui-g-12" style="margin-bottom: 10 px">
      <div class="ui-g-12" [hidden] = "currentGroupUSers === 'BDK' || currentGroupUSers === 'LSG'">
        <p-fieldset legend="All Product Category" [toggleable]="true">
          <div
            class="ui-g-12"
            style="
              text-align: center;
              border: 1px solid black;
              margin-bottom: 10 px;
            "
          >
            <div id="chartdivBarAll" style="height: 400px;"></div>
          </div>
        </p-fieldset>
      </div>
      <div class="ui-g-12" [hidden] = "currentGroupUSers === 'LSG'">
        <p-fieldset legend="Product Badak" [toggleable]="true">
          <div
            class="ui-g-12"
            style="
              text-align: center;
              border: 1px solid black;
              margin-bottom: 10 px;
            "
          >
            <div id="chartdivBarBadak" style="height: 400px;"></div>
          </div>
        </p-fieldset>
      </div>
      <div class="ui-g-12" [hidden] = "currentGroupUSers === 'BDK'">
        <p-fieldset legend="Product Cap Pistol" [toggleable]="true">
          <div
            class="ui-g-12"
            style="
              text-align: center;
              border: 1px solid black;
              margin-bottom: 10 px;
            "
          >
            <div id="chartdivBarPistol" style="height: 400px;"></div>
          </div>
        </p-fieldset>
      </div>
    </div>
  </div>
</div>
